package RPM::Source::BundleImport::RedefineMacro;

use strict;
use warnings;
use Carp;
use Exporter 'import';
our @EXPORT_OK = qw(redefine_macro);

sub redefine_macro {
    my ($section,$macros_name,$macros_value) =@_;
    Carp::confess "Oops: empty macros_name" unless $macros_name;
    $section->exclude_body(qr'^\%define\s+'.$macros_name);
    $section->unshift_body("\%define $macros_name $macros_value\n");
}

1;
