package RPM::Source::Transformation::Resource::MetadataCollector;

use strict;
use warnings;

use RPM::Source::BundleImport::Metadata;
use RPM::Source::Transformation::Resource;
our @ISA=qw/RPM::Source::Transformation::Resource/;

our $verbose=0;

push @RPM::Source::TransformContainer::RESOURCE_CLASSES, __PACKAGE__;

my $metacollector;

sub prepare_resource {
    #my (undef,)=@_;
    $metacollector=RPM::Source::BundleImport::Metadata->new();
}

sub destroy_resource {
    #my (undef,)=@_;
    $metacollector=undef;
}



package Source::Shared::ResourceContainer;

sub metadata_collector {
    my ($self)=@_;
    return $metacollector;
}

1;
